{application, ic,
 [{summary,"An IDL compiler."},
  {abstract,"The IC application is an Erlang
      implementation of an IDL compiler.
      Several back-ends are supported.
      The IDL compiler generates server
      behaviors and client stubs according
      to the IDL to Erlang mapping.
      Interface inheritance is supported.
      The compiler also performs a
      limited subset of the IDL semantic
      checks."},
{description, "The IDL Compiler"},
  {vsn, "3.1.2"},
  {modules,
     [
      ic,
      ic_cbe,
      ic_cserver,
      ic_erlbe,
      ic_fetch,
      ic_noc,
      ic_plainbe,
      ic_pp,
      ic_pragma,
      icenum,
      iceval,
      icgen,
      icparse,
      icpreproc,
      icscan,
      icstruct,
      ict,
      ictk,
      ictype
    ]
  },
  {registered, []},
  {applications, [stdlib, kernel]},
  {env, []},
  {mod, {ic, []}}
]}.


