/* ``The contents of this file are subject to the Erlang Public License,
 * Version 1.0, (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.erlang.org/EPL1_0.txt
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Erlang-4.7.3, December, 1998.
 * 
 * The Initial Developer of the Original Code is Ericsson Telecom
 * AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
 * Telecom AB. All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.''
 */
/* RCS: $Id: bin.c,v 1.4 1996/04/09 13:05:54 tobbe Exp tobbe $ */
#include <stdio.h>
#include <stddef.h>
#include "bin.h"

#ifdef SUNOS4
extern int fprintf();
#endif

IG_binaryPtr doom(IG_binaryPtr b)
{
  int i;
  static unsigned char array[6]={1,2,3,4,5,6};
  static IG_binary my_bin;

  fprintf(stderr,"doom: size = %d\n\r",b->size);
  for (i=0; i<b->size; i++)
    fprintf(stderr," %d ",(int) (b->binp)[i]);
  fprintf(stderr,"\n\r");

  my_bin.size = 6;
  my_bin.binp = array;
  return (IG_binaryPtr) &my_bin;
}

/*--- Create a binary from a chunk of memory ---*/

IG_binaryPtr get_binary(unsigned char *buf, int len)
{
  static IG_binary b;

  b.size = len;
  b.binp = buf;
  return &b;
}

/*--- Store a binary at specified address ---*/

void put_binary(IG_binaryPtr chunk, char *bufp)
{
  memcpy((void *) bufp, (const void *) chunk->binp, (size_t) chunk->size);
}


