/* ``The contents of this file are subject to the Erlang Public License,
 * Version 1.0, (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.erlang.org/EPL1_0.txt
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Erlang-4.7.3, December, 1998.
 * 
 * The Initial Developer of the Original Code is Ericsson Telecom
 * AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
 * Telecom AB. All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.''
 */
#ifndef _DEF_H
#define _DEF_H
#include "ig.h"
/* Check the result in the generated def.hrl file */

/*IG*/ #define O_RDONLY 0
/*IG*/ #define READ_FLAG O_RDONLY

/*IG*/ #define NULL '\0'
/*IG*/ #define a '\141' 
/*IG*/ #define alert '\a'
/*IG*/ #define newline '\n'

/*IG*/ #define TEXT "Hello World !"

/*IG*/ #define HEX 0xff
/*IG*/ #define OCT 037

/*IG*/ #ifdef NO_UMASK
/*IG*/ #define FILE_MODE  0644
/*IG*/ #define DIR_MODE   0755
/*IG*/ #else
/*IG*/ #define FILE_MODE  0666 
/*IG*/ #define DIR_MODE   0777 
/*IG*/ #endif

/*IG*/ #ifndef THIS
/*IG*/ #define THIS
/*IG*/ #endif

/* Will be ignored by IG */
#define IS_LNK(s) ((s & IS_KDH)>0)

#endif
