{application, asn1,
 [{description, "The Erlang ASN1 compiler version 1.0.3"},
  {summary,"ASN.1 compiler."},
  {abstract,"ASN1 is a compile-time and runtime
package which supports the ITU-T
X.680 ASN.1 Basic Notation and the
encoding rules BER and PER."},
  {vsn, "1.0.3"},
  {modules, [
	     asn1rt,
	     asn1rt_per,
	     asn1rt_ber,
	     asn1ct,
             asn1ct_gen_per,
             asn1ct_gen_ber,
	     asn1ct_gen,
             asn1_db,
	     asn1ct_name,
             asn1ct_constructed_per,
             asn1ct_constructed_ber,
	     asn1ct_check,
             asn1ct_parser,
             asn1ct_value,
             asn1ct_pretty_format,
             asn1ct_tok
             ]},
  {registered, [
		]},
  {env, []},
  {applications, [kernel, stdlib]}
  ]}.
