/* ``The contents of this file are subject to the Erlang Public License,
 * Version 1.0, (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.erlang.org/EPL1_0.txt
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Erlang-4.7.3, December, 1998.
 * 
 * The Initial Developer of the Original Code is Ericsson Telecom
 * AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
 * Telecom AB. All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.''
 */
#ifndef _DUPLEX_H
#define _DUPLEX_H

/* RCS: $Id: duplex.h,v 1.1 1996/04/09 13:10:57 tobbe Exp $ */

#include "ig.h"

typedef struct {
  int hour;
  int minute;
  int second;
} etime;

IG_call etime get_etime(void);

IG_fun void call_foo(IG_PTR fp);
IG_call int foo(IG_string attribute);

IG_fun void call_bar(IG_PTR fp);
IG_cast void bar(IG_string attribute, int key);

#endif
