{application, mesh,
   [{description, "Measurement Handler"},
    {summary,"Measurement Handler"},
    {abstract, "The Measurement Handler
      Application (MESH) is an Operation
      and Maintenance application. It
      contains support for applications to
      register measurement types and
      create measurement objects, which
      in turn perform measurements and
      report them to MESH."},
    {vsn, "1.1.0"},
    {modules, [mesh,
	       mesh_app,
	       mesh_lib,
	       mesh_log,
               mesh_server,
	       mesh_snmp,
	       mesh_sup
	      ]},
    {registered, [mesh_sup,
		  mesh_server,
		  mesh_snmp
		 ]},
    {env, [{snmp_adapted,false}]},
    {applications, [kernel,
		    stdlib,
		    sasl,
		    mnesia,
		    eva
		   ]},
    {mod, {mesh_app, []}}]}.
