%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%%-----------------------------------------------------------------
%% File: lname.hrl
%% Author: Lars Thorsen
%% 
%% Creation date: 970926
%% Modified:
%%-----------------------------------------------------------------

%% LName interface exceptions
-record('LName_NoComponent', {'OE_ID'="PIDL:LName/NoComponent:1.0"}).
-record('LName_InvalidName', {'OE_ID'="PIDL:LName/InvalidName:1.0"}).
% This exception is not used in our implementation.
-record('LName_Overflow', {'OE_ID'="PIDL:LName/Overflow:1.0"}). 

%% LNameComponent interface exceptions
-record('LNameComponent_NotSet',
	{'OE_ID'="PIDL:LNameComponent/NotSet:1.0"}).
